MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022459Community[OCCT] OCCT:Data Exchangepublic2011-05-03 11:042012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022459: The ImportExport sample crash
DescriptionPost from the Forum - http://www.opencascade.org/org/forum/thread_20531/. [^]
"I made a STEP file (using Rhino).
The file includes FACES and CURVES.

The sample program ImportExport crash at line
Standard_Boolean ok = aReader.TransferRoot(n);

Note that previous line (aReader.NbRootsForTransfer()) returns 1

If I remove the curve using Rhino, the problem disappear.
If I use another CAD software to export the STEP file, the problem remain."
The file is attached.
In Draw it works without exception:
stepread TEST2.stp s *
Produces valid shape.
============

TagsNo tags attached.
Test case numberchl 934 O2
Attached Files? file icon TEST2.stp (72,421 bytes) 2011-05-03 11:04
zip file icon 2-lines.zip (3,140 bytes) 2011-12-12 15:04
jpg file icon shot2.jpg (719,078 bytes) 2011-12-15 21:55
? file icon O2 (619 bytes) 2012-01-16 17:52

- Relationships

-  Notes
(0018493)
szy (administrator)
2011-11-07 17:56

Draw command <stepread ..> produces valid shape.
So, the problem seems is in the Import/Export Sample implementation.
To be checked by expert.
(0018814)
szy (administrator)
2011-12-12 15:04

Additional information from Jean-Yves Brud.
"Jean-Yves Brud | reply 2011/12/12 08:25
More details about this bugs:
the problem occurs when two lines are joined/grouped in CAD software (for example in Rhino3D).

If the lines are separated in the CAD software before exporting STEP, the crash disappear.

You can have a look to the 2 attached simple STEP files."
(0018875)
AGPX (reporter)
2011-12-15 21:56
edited on: 2011-12-15 22:07

Crash in the ShapeFix_Wire::FixReorder (look at shot2.jpg screenshot). The TopoDS_TEdge (the variable E) have the myShapes field (a TopoDS_ListOfShape) empty (i.e. myFirst = myLast = 0x00000000).

(0018877)
abv (manager)
2011-12-16 08:30

In DRAW, exception is obviously caught during the translation:

Draw[4]> tps c
TransferRead :
*******************************************************************
****** Statistics on Transfer Process (Read) ******
****** Check messages ******
*******************************************************************
 Count Check ** TRANSFER READ CHECK **
 ----- -----------
     1 F:GEOMETRIC_CURVE_SET: Exeption is raised. Entity was not translated.
     2 W:EDGE_LOOP: Degenerated edge(s) detected
    Nb Total:3 for 2 items

The current version of samples should also be able to catch the exception, due to recently added call to OSD::SetSignal () (fix for 0022800) -- to be checked
(0019100)
ama (developer)
2012-01-12 15:00

SVN branch http://svn/svn/occt/branches/OCC22459 [^] is ready to be reviewed.

Modified translation composite curve from STEP file to TopoDS (pakage StepToTopoDS): if one or more segments of composite curve are lines, so wire was build from the curve is invalid (FixReorder() and FixConnected() failed) and transferred to the result shape as a compound.

Also the branch contains integration standard macro M_PI in OCC samples.
(0019115)
gka (developer)
2012-01-13 16:55

1. StepToTopoDS_TranslateCompositeCurve:
It is better to make method IsConnected inline
(0019121)
gka (developer)
2012-01-13 18:16

Bug is ready to test
(0019141)
aan (tester)
2012-01-16 17:49

Dear BugMaster,
Workbench KAS:dev:mkv-22459-occt was created from SVN branch http://svn/svn/occt/branches/OCC22459 [^]
(and mkv-22459-products from trunk) and compiled on Linux platform.

Test for this fix is chl 934 O2. It's OK.

There are following regressions in mkv-22459-products regarding to KAS:dev:products-20111229-opt

xstp 111 X4

See results in /QADisk/occttests/results/KAS/dev/ mkv-22459-products_16012012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20111229-opt_29122011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019167)
ama (developer)
2012-01-18 11:29

SVN branch http://svn/svn/occt/branches/OCC22459 [^] is ready to be reviewed with additional corrections of process translating composite curve from step file.
(0019364)
szy (administrator)
2012-02-02 17:03

Galina,
Could you take care to review the fix.
(0019403)
gka (developer)
2012-02-06 12:21

No remarks after reviewing
(0019596)
aan (tester)
2012-02-16 12:29

Dear BugMaster,
Workbench KAS:dev:aan-22459-occt was created from SVN branch http://svn/svn/occt/branches/OCC22459 [^]
(and aan-22459-products from trunk) and compiled on Linux platform.

Test for this fix is chl 934 O2. It's OK.

There are following regressions in aan-22459-products regarding to KAS:dev:products-20120210-opt

chl 937 A6 A5
chl 934 R6
chl 941 A3

xstp 109 N4

See results in /QADisk/occttests/results/KAS/dev/aan-22459-products_14022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120210-opt_10022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019759)
aan (tester)
2012-02-23 18:44
edited on: 2012-02-23 18:45

Dear BugMaster,
Workbench KAS:dev:aan-22459-occt was created from SVN branch http://svn/svn/occt/branches/OCC22459 [^]
(and aan-22459-products from trunk) and compiled on Linux platform.

Test for this fix is chl 934 O2. It's OK.

There are not regressions in aan-22459-products regarding to KAS:dev:products-20120217-opt

See results in /QADisk/occttests/results/KAS/dev/aan-22459-products_23022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120217-opt_17022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0019901)
bugmaster (administrator)
2012-03-10 13:06

Integrated into master

- Related Changesets
occt: master 42e4630c
Timestamp: 2012-03-06 08:10:31
Author: ama
Committer: bugmaster
Details ] Diff ]
0022459: The ImportExport sample crash
mod - samples/mfc/standard/01_Geometry/src/GeomSources.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Direction.cpp Diff ] File ]
mod - samples/mfc/standard/02_Modeling/src/ModelingDoc.cpp Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/src/Viewer2dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationDoc.cpp Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationView3D.cpp Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/Convert_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/Common/Resource2D/CircularGrid.cpp Diff ] File ]
mod - samples/mfc/standard/Common/Resource2D/RectangularGrid.cpp Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Wire.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_Builder.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateCompositeCurve.cdl Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateCompositeCurve.cxx Diff ] File ]
add - src/StepToTopoDS/StepToTopoDS_TranslateCompositeCurve.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2011-11-07 17:56 szy Note Added: 0018493
2011-11-07 17:56 szy Assigned To bugmaster => gka
2011-11-07 17:56 szy Status acknowledged => assigned
2011-11-07 17:56 szy Resolution suspended => reopened
2011-11-07 17:56 szy Product Version => 6.5.2
2011-11-07 17:56 szy Fixed in Version EMPTY =>
2011-11-07 17:56 szy Target Version => 6.5.3
2011-11-07 17:56 szy Description Updated View Revisions
2011-12-12 15:04 szy Note Added: 0018814
2011-12-12 15:04 szy File Added: 2-lines.zip
2011-12-15 21:55 AGPX File Added: shot2.jpg
2011-12-15 21:56 AGPX Note Added: 0018875
2011-12-15 22:07 AGPX Note Edited: 0018875 View Revisions
2011-12-15 22:07 AGPX Note Edited: 0018875 View Revisions
2011-12-16 08:24 abv Assigned To gka => ama
2011-12-16 08:30 abv Note Added: 0018877
2012-01-10 17:32 ama Note Added: 0019075
2012-01-10 17:33 ama Status assigned => resolved
2012-01-10 18:17 ama Status resolved => assigned
2012-01-10 18:17 ama Note Deleted: 0019075
2012-01-12 15:00 ama Note Added: 0019100
2012-01-12 15:01 ama Status assigned => resolved
2012-01-12 15:01 ama Assigned To ama => gka
2012-01-13 16:55 gka Note Added: 0019115
2012-01-13 16:56 gka Assigned To gka => ama
2012-01-13 16:56 gka Status resolved => assigned
2012-01-13 18:15 gka Status assigned => resolved
2012-01-13 18:16 gka Note Added: 0019121
2012-01-13 18:16 gka Status resolved => reviewed
2012-01-16 17:49 aan Note Added: 0019141
2012-01-16 17:51 aan Status reviewed => assigned
2012-01-16 17:52 aan Test case number => chl 934 O2
2012-01-16 17:52 aan File Added: O2
2012-01-18 11:29 ama Note Added: 0019167
2012-01-18 11:30 ama Status assigned => resolved
2012-01-18 11:31 ama Assigned To ama => gka
2012-02-02 17:03 szy Note Added: 0019364
2012-02-06 12:21 gka Note Added: 0019403
2012-02-06 12:21 gka Assigned To gka => ama
2012-02-06 12:21 gka Status resolved => reviewed
2012-02-14 13:08 mkv Assigned To ama => aan
2012-02-16 12:29 aan Note Added: 0019596
2012-02-16 12:30 aan Assigned To aan => ama
2012-02-16 12:30 aan Status reviewed => assigned
2012-02-21 16:02 ama Assigned To ama => gka
2012-02-21 16:02 ama Status assigned => resolved
2012-02-21 16:04 gka Status resolved => reviewed
2012-02-21 16:16 mkv Assigned To gka => aan
2012-02-23 18:44 aan Note Added: 0019759
2012-02-23 18:45 aan Note Edited: 0019759 View Revisions
2012-02-23 18:45 aan Status reviewed => tested
2012-03-10 13:06 bugmaster Note Added: 0019901
2012-03-10 13:06 bugmaster Status tested => verified
2012-03-10 13:06 bugmaster Resolution reopened => fixed
2012-03-10 13:06 bugmaster Assigned To aan => ama
2012-03-29 17:26 bugmaster Changeset attached => occt master 42e4630c


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker